#pragma once

#include <Drawing.h>
#include <Array.h>

#include "ChatMessage.h"

class ChatHistory : public Framework::DrawableBackground
{
private:
    Framework::RCArray<ChatMessage> messages;
    bool scrollToBottom;

public:
    ChatHistory();

    void addMessage(ChatMessage* message);
    void render(Framework::Image& rObj) override;
    bool tick(double tickVal) override;
};